ome-qtwidgets 5.3.2

Static Public Attributes | List of all members
ome::qtwidgets::TexelProperties< ::ome::xml::model::enums::PixelType::DOUBLE > Struct Template Reference

Properties of DOUBLE texels. More...

`#include <ome/qtwidgets/TexelProperties.h>`

Inheritance diagram for ome::qtwidgets::TexelProperties< ::ome::xml::model::enums::PixelType::DOUBLE >:
[legend]
Collaboration diagram for ome::qtwidgets::TexelProperties< ::ome::xml::model::enums::PixelType::DOUBLE >:
[legend]

## Static Public Attributes
static const GLenum | internal_format = GL_R32F
| Internal pixel format (single 32-bit float channel; note precision loss).
static const GLenum | external_format = GL_RED
| External pixel format (single channel).
static const GLint | external_type = GL_DOUBLE
| External pixel type (`double`).
static const ::ome::xml::model::enums::PixelType::enum_value | fallback_pixeltype = ome::xml::model::enums::PixelType::FLOAT
| External pixel format fallback.
static const bool | conversion_required = false
| OME-Files type matches the GL type exactly.
static const bool | normalization_required = true
| Pixel values are automatically normalized by GL.
static const GLint | minification_filter = GL_LINEAR_MIPMAP_LINEAR
| Default minification filter.
static const GLint | magnification_filter = GL_LINEAR
| Default magnification filter.
Static Public Attributes inherited from ome::files::PixelProperties< ::ome::xml::model::enums::PixelType::DOUBLE >
static const bool | is_signed
static const bool | is_integer
static const bool | is_complex

## Additional Inherited Members
Public Types inherited from ome::files::PixelProperties< ::ome::xml::model::enums::PixelType::DOUBLE >
typedef double | std_type
typedef boost::endian::big_float64_t | big_type
typedef boost::endian::little_float64_t | little_type
typedef boost::endian::native_float64_t | native_type
Static Public Member Functions inherited from PixelPropertiesBase< PixelProperties< ::ome::xml::model::enums::PixelType::DOUBLE > >
static pixel_size_type | pixel_byte_size ()
static pixel_size_type | pixel_bit_size ()
static pixel_size_type | pixel_significant_bit_size ()

## Detailed Description

### template<>
struct ome::qtwidgets::TexelProperties< ::ome::xml::model::enums::PixelType::DOUBLE >

Properties of DOUBLE texels.

The documentation for this struct was generated from the following file:

- ome/qtwidgets/TexelProperties.h